Custom Query (43 matches)

Filters
 
Or
 
  
 
Columns

Show under each result:


Results (19 - 21 of 43)

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
Ticket Resolution Summary Owner Reporter
#14 fixed q_express not always available bas sam@…
Description

the q_express attribute is not always available and this causes a KeyError? at line 165 in PBSQuery

Should be possible to do

q_attrs = self.d.get('q_express', None)

#21 fixed Problem installing debian way bas wim@…
Description

Hi to every body

I have some problem with installing pbs_python with debian/rules binary like describded on https://subtrac.sara.nl/oss/pbs_python/wiki/TorqueInstallation
When I run debian/rules binary I get an error

...
dh_installmime -ppbs-python 
dh_strip -ppbs-python  
dh_compress -ppbs-python  
dh_fixperms -ppbs-python  
dh_makeshlibs -ppbs-python  
dh_installdeb -ppbs-python 
dh_perl -ppbs-python 
dh_shlibdeps -ppbs-python    
dpkg-shlibdeps: failure: no dependency information found for /usr/local/lib/libtorque.so.2 (used by debian/pbs-python/usr/local/lib/python2.5/site-packages/pbs/_pbs.so).
dh_shlibdeps: command returned error code 512
make: *** [binary-predeb-IMPL/pbs-python] Error 1

Is there something I miss?? Many Thanks

#19 fixed Problem building pbs_python 4.0.0 somebody vizino@…
Description
Hi,

I just downloaded and tried to compile pbs_python-4.0.0 and got the
following error during the "make" step.  Here's the tail end of the
failing build:

---
        ...
running build_py
creating build
creating build/lib.linux-ia64-2.4
copying src/pbs.py -> build/lib.linux-ia64-2.4
copying src/PBSQuery.py -> build/lib.linux-ia64-2.4
running build_ext
building '_pbs' extension
creating build/temp.linux-ia64-2.4
creating build/temp.linux-ia64-2.4/src
gcc -pthread -fno-strict-aliasing -DNDEBUG -O2 -fmessage-length=0 -Wall
-D_FORTIFY_SOURCE=2 -g -fPIC -DTORQUE_OLD -I/usr/include/python2.4 -c
src/pbs_wrap.c -o build/temp.linux-ia64-2.4/src/pbs_wrap.o
gcc -pthread -shared build/temp.linux-ia64-2.4/src/pbs_wrap.o
-L-L/usr/local/packages/torque/2.3.0/lib -ltorque -Wl,--rpath
-Wl,/usr/local/packages/torque/2.3.0/lib -ltorque -o
build/lib.linux-ia64-2.4/_pbs.so
/usr/lib/gcc/ia64-suse-linux/4.1.2/../../../../ia64-suse-linux/bin/ld:
cannot find -ltorque
collect2: ld returned 1 exit status
error: command 'gcc' failed with exit status 1
make: *** [pythonlib] Error 1
--

It looks like a stray "-L" was inserted in the gcc line.  Rerunning the
failing gcc without the stray "-L" worked fine:

--
gcc -pthread -shared build/temp.linux-ia64-2.4/src/pbs_wrap.o
-L/usr/local/packages/torque/2.3.0/lib -ltorque -Wl,--rpath
-Wl,/usr/local/packages/torque/2.3.0/lib -ltorque -o
build/lib.linux-ia64-2.4/_pbs.so
--

In case it helps I ran configure first as follows:

--
./configure --prefix=/usr/local/packages/pbs_python/4.0.0
--

with no errors.

   -Chad Vizino
    Pittsburgh Supercomputing Center
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
Note: See TracQuery for help on using queries.